Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.StateFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.StateFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.StateFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes flags that are used when drawing primitive elements.

Note that not all primitives use all of these flags, and that the flags may mean different things to different items.

See also:
  `drawPrimitive()`.

See Also:
  Serialized Form

Field Summary
`static QAccessible.StateFlag` | `Animated`
`static QAccessible.StateFlag` | `Busy`
`static QAccessible.StateFlag` | `Checked`
`static QAccessible.StateFlag` | `Collapsed`
`static QAccessible.StateFlag` | `DefaultButton`
`static QAccessible.StateFlag` | `Expanded`
`static QAccessible.StateFlag` | `ExtSelectable`
`static QAccessible.StateFlag` | `Focusable`
`static QAccessible.StateFlag` | `Focused`
`static QAccessible.StateFlag` | `HasInvokeExtension`
`static QAccessible.StateFlag` | `HasPopup`
`static QAccessible.StateFlag` | `HotTracked`
`static QAccessible.StateFlag` | `Invisible`
`static QAccessible.StateFlag` | `Linked`
`static QAccessible.StateFlag` | `Marqueed`
`static QAccessible.StateFlag` | `Mixed`
`static QAccessible.StateFlag` | `Modal`
`static QAccessible.StateFlag` | `Movable`
`static QAccessible.StateFlag` | `MultiSelectable`
`static QAccessible.StateFlag` | `Normal`
`static QAccessible.StateFlag` | `Offscreen`
`static QAccessible.StateFlag` | `Pressed`
`static QAccessible.StateFlag` | `Protected`
`static QAccessible.StateFlag` | `ReadOnly`
`static QAccessible.StateFlag` | `Selectable`
`static QAccessible.StateFlag` | `Selected`
`static QAccessible.StateFlag` | `SelfVoicing`
`static QAccessible.StateFlag` | `Sizeable`
`static QAccessible.StateFlag` | `Traversed`
`static QAccessible.StateFlag` | `Unavailable`

Method Summary
`static QAccessible.State` | `createQFlags(QAccessible.StateFlag[] values)` This function creates a com.trolltech.qt.gui.QAccessible$State with the specified `com.trolltech.qt.gui.QAccessible$StateFlag[]` StateFlag values set.
`static QAccessible.StateFlag` | `resolve(int value)` Returns the StateFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.StateFlag` | `valueOf(java.lang.String name)`
`static QAccessible.StateFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Normal

    public static final QAccessible.StateFlag Normal

### Unavailable

    public static final QAccessible.StateFlag Unavailable

### Selected

    public static final QAccessible.StateFlag Selected

### Focused

    public static final QAccessible.StateFlag Focused

### Pressed

    public static final QAccessible.StateFlag Pressed

### Checked

    public static final QAccessible.StateFlag Checked

### Mixed

    public static final QAccessible.StateFlag Mixed

### ReadOnly

    public static final QAccessible.StateFlag ReadOnly

### HotTracked

    public static final QAccessible.StateFlag HotTracked

### DefaultButton

    public static final QAccessible.StateFlag DefaultButton

### Expanded

    public static final QAccessible.StateFlag Expanded

### Collapsed

    public static final QAccessible.StateFlag Collapsed

### Busy

    public static final QAccessible.StateFlag Busy

### Marqueed

    public static final QAccessible.StateFlag Marqueed

### Animated

    public static final QAccessible.StateFlag Animated

### Invisible

    public static final QAccessible.StateFlag Invisible

### Offscreen

    public static final QAccessible.StateFlag Offscreen

### Sizeable

    public static final QAccessible.StateFlag Sizeable

### Movable

    public static final QAccessible.StateFlag Movable

### SelfVoicing

    public static final QAccessible.StateFlag SelfVoicing

### Focusable

    public static final QAccessible.StateFlag Focusable

### Selectable

    public static final QAccessible.StateFlag Selectable

### Linked

    public static final QAccessible.StateFlag Linked

### Traversed

    public static final QAccessible.StateFlag Traversed

### MultiSelectable

    public static final QAccessible.StateFlag MultiSelectable

### ExtSelectable

    public static final QAccessible.StateFlag ExtSelectable

### Protected

    public static final QAccessible.StateFlag Protected

### HasPopup

    public static final QAccessible.StateFlag HasPopup

### Modal

    public static final QAccessible.StateFlag Modal

### HasInvokeExtension

    public static final QAccessible.StateFlag HasInvokeExtension

Method Detail

### values

    public static QAccessible.StateFlag[] values()

### valueOf

    public static QAccessible.StateFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAccessible.State createQFlags(QAccessible.StateFlag[] values)

  This function creates a com.trolltech.qt.gui.QAccessible$State with the specified `com.trolltech.qt.gui.QAccessible$StateFlag[]` StateFlag values set.

### resolve

    public static QAccessible.StateFlag resolve(int value)

  Returns the StateFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD